Check out the LimeSurvey source code on GitHub!

Komfort Update

More
5 years 3 months ago #69226 by Sonja23
Liebe Forumsmitglieder,

ich wollte das Komfort Update ausführen und erhalte folgende Meldung:

---Warnung: Die folgenden Dateien/Verzeichnisse sind für eine Aktualisierung vorgesehen aber die Dateiberechtigungn sind auf Nur-Lesen gesetzt.
Sie müssen entsprechende Schreibbrechtigung auf diesen Dateien setzen bevor Sie fortfahren können. Wenn Sie sich unsicher sind, was zu tun ist, so fragen Sie bitte Ihren Systemadministrator um Rat.---

In "admin.php" habe ich alle möglichen Versionen ausgeführt.
Im Moment sind alle Häckchen gesetzt, so dass das Update laufen müsste.
Gibt es noch eine Möglichkeit, die ich übersehen habe?

Danke für eure Hilfe.

Please Log in to join the conversation.

More
5 years 3 months ago #69230 by Mazi
Du musst - z. B. über den FTP-Programm - dem Server das Schreiben im entsprechenden Verzeichnis erlauben.

Ohne meine Glaskugel kann ich dir leider nicht sagen, woran es sonst noch liegen könnte.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
5 years 3 months ago #69233 by Sonja23
Ich hatte einen Anhang an meiner Mail, hat irgendwie nicht geklappt.
Ich versuchs noch mal.

Im Remote file permissions steht:
Owner
Read Write Execute

Group
Read
Write
Execute

Others
Read
Write
Execute

Please Log in to join the conversation.

More
5 years 3 months ago #69236 by Mazi
Sorry, aber das müsste man sich wirklich im Detail auf dem Server anschauen.

Nutze doch alternativ einfach das manuelle Update: docs.limesurvey.org/Upgrading+from+a+pre...tions+for+LimeSurvey


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
5 years 3 months ago #69238 by Sonja23
Habe ich auch schon gemacht. Die Alte Version kopiert. Die ganz neue Version heruntergeladen und aufgespielt und die Dateien wie von euch angegeben ausgetauscht. Da bekomme ich noch schlimmere Informationen, was alles nicht beschreibbar ist. Habe dann die alte Version wieder aktiviert und bekomme das Update nicht auf die Reihe.



Der schnelle Weg (für kleine Versionssprünge)
Wenn Sie durch das Update nur einen kleinen Versionssprung machen (z.B. von 1.86 nach 1.87), dann befolgen Sie folgende Schritte:

Sicherung der Dateien und der Datenbank vornehmen (hatten wir das nicht oben schon erwähnt?)
Löschen Sie alle Dateien der installierten Version bis auf
/config.php
/templates Verzeichnis
/upload Verzeichnis
Kopieren Sie die Dateien des neuen LimeSurvey-Pakets in das bestehenden Verzeichnis. Achten Sie daraf nicht die bestehende config.php zu überschreiben (falls dies passieren sollte: Sie haben doch eine Sicherung erstellt, oder, ODER?). Alle anderen Dateien können Sie überschreiben.
Zum Schluss: Löschen Sie den Browsercache und ihre Cooikes!

Please Log in to join the conversation.

More
5 years 3 months ago #69240 by jelo
Welche Email mit Anhang?

Und wer hat und wie wurde Limesurvey installiert?

Please Log in to join the conversation.

More
5 years 3 months ago #69245 by Sonja23
Ich hatte einen Anhang an der Mail, funktioniert aber nicht. Wie kann ich den schicken, funktioniert auch nicht über forums@....

Please Log in to join the conversation.

More
5 years 3 months ago #69252 by holch
Du kannst keine Email mit Anhang ins Forum schreiben.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in to join the conversation.

Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form